Bug 172693 - One translated Polish language error is missing preventing squid from startup
One translated Polish language error is missing preventing squid from startup
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: squid (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
: 160747 (view as bug list)
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-11-08 09:48 EST by Martin Stransky
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0045
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:43:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Stransky 2005-11-08 09:48:05 EST
+++ This bug was initially created as a clone of Bug #172392 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.7.12) Gecko/20050921
Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
Setting up Polish language ERROR pages in squid prevents ot from starting. Short
investigation shows that one page is missing.

That missing page causes squid to bailout with following errors:
(/var/log/messages)
Nov  3 19:41:59 deus squid[6080]: Squid Parent: child process 6103 started
Nov  3 19:41:59 deus (squid): failed to find or read error text file.
Nov  3 19:41:59 deus squid[6080]: Squid Parent: child process 6103 exited due to
signal 6
Nov  3 19:41:59 deus squid[6080]: Exiting due to repeated, frequent failures

(/var/log/squid/cache.log)
2005/11/03 19:41:59| Starting Squid Cache version 2.5.STABLE6 for
i386-redhat-linux-gnu...
2005/11/03 19:41:59| Process ID 6103
2005/11/03 19:41:59| With 1024 file descriptors available
2005/11/03 19:41:59| DNS Socket created at 0.0.0.0, port 32798, FD 4
2005/11/03 19:41:59| Adding nameserver 127.0.0.1 from /etc/resolv.conf
2005/11/03 19:41:59| User-Agent logging is disabled.
2005/11/03 19:41:59| Referer logging is disabled.
2005/11/03 19:41:59| errorTryLoadText: '/etc/squid/errors/ERR_INVALID_RESP': (2)
No such file or directory
2005/11/03 19:41:59| errorTryLoadText:
'/usr/local/squid/etc/errors/ERR_INVALID_RESP': (2) No such file or directory
FATAL: failed to find or read error text file.
Squid Cache (Version 2.5.STABLE6): Terminated abnormally.
CPU Usage: 0.011 seconds = 0.004 user + 0.007 sys
Maximum Resident Size: 0 KB
Page faults with physical i/o: 0

It's clear that the missing page is:
/etc/squid/errors/ERR_INVALID_RESP

That file is a symlink to /usr/share/squid/errors/Polish/ERR_INVALID_RESP but
the file is missing.

Quick fix to that is to copy english language error message into
/usr/share/squid/errors/Polish/ directory.


Version-Release number of selected component (if applicable):
squid-2.5.STABLE6-3.4E.11

How reproducible:
Always

Steps to Reproduce:
1.reconfigure squid to use Polish error pages (/etc/squid/squid.conf:2725)
2.start squid
3.watch the sky burn ;]
  

Actual Results:  squid dies with messages cited above.

Expected Results:  squid is running

Additional info:

-- Additional comment from stransky@redhat.com on 2005-11-04 07:41 EST --
devel ack
Comment 2 Martin Stransky 2005-11-08 16:26:32 EST
It affects some other locales...
Comment 4 Martin Stransky 2005-11-15 07:00:18 EST
*** Bug 160747 has been marked as a duplicate of this bug. ***
Comment 7 Red Hat Bugzilla 2006-03-15 10:43:55 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0045.html

Note You need to log in before you can comment on or make changes to this bug.